### Enumeration

# Gimp TextDirection

#### Declaration

    enum Gimp.TextDirection

#### Description [src]

Text directions.

#### Members

`GIMP_TEXT_DIRECTION_LTR`

  From left to right.

  - Value: `0`
  - Available since: 3.0
`GIMP_TEXT_DIRECTION_RTL`

  From right to left.

  - Value: `1`
  - Available since: 3.0
`GIMP_TEXT_DIRECTION_TTB_RTL`

  Characters are from top to bottom, Lines are from right to left.

  - Value: `2`
  - Available since: 3.0
`GIMP_TEXT_DIRECTION_TTB_RTL_UPRIGHT`

  Upright characters are from top to bottom, Lines are from right to left.

  - Value: `3`
  - Available since: 3.0
`GIMP_TEXT_DIRECTION_TTB_LTR`

  Characters are from top to bottom, Lines are from left to right.

  - Value: `4`
  - Available since: 3.0
`GIMP_TEXT_DIRECTION_TTB_LTR_UPRIGHT`

  Upright characters are from top to bottom, Lines are from left to right.

  - Value: `5`
  - Available since: 3.0